org.apache.http.impl.auth.win

## Class WindowsNegotiateSchemeFactory

- java.lang.Object
- - org.apache.http.impl.auth.win.WindowsNegotiateSchemeFactory

- All Implemented Interfaces:
    AuthSchemeProvider

      @Contract(threading=IMMUTABLE)
      public class WindowsNegotiateSchemeFactory
      extends Object
      implements AuthSchemeProvider

  `AuthSchemeProvider` implementation that creates and initializes `WindowsNegotiateScheme` using JNA to Negotiate credentials

  EXPERIMENTAL

  Since:
    4.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsNegotiateSchemeFactory(String servicePrincipalName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthScheme` | `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `AuthScheme`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsNegotiateSchemeFactory

          public WindowsNegotiateSchemeFactory(String servicePrincipalName)

  - ### Method Detail

    - #### create

          public AuthScheme create(org.apache.http.protocol.HttpContext context)

      Description copied from interface: `AuthSchemeProvider`
      Creates an instance of `AuthScheme`.
      Specified by:
        `create` in interface `AuthSchemeProvider`
      Returns:
        auth scheme.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.